Package wx :: Package lib :: Package mixins :: Module listctrl

[frames | no frames]

## Module wx.lib.mixins.listctrl

Classes
`CheckListCtrlMixin` | This is a mixin for ListCtrl which add a checkbox in the first column of each row.
`ColumnSorterMixin` | A mixin class that handles sorting of a wx.ListCtrl in REPORT mode when the column header is clicked on.
`ListCtrlAutoWidthMixin` | A mix-in class that automatically resizes the last column to take up the remaining width of the wx.ListCtrl.
`ListCtrlSelectionManagerMix` | Mixin that defines a platform independent selection policy
`TextEditMixin` | A mixin class that enables any text in any column of a multi-column listctrl to be edited by clicking on the given row and column.

Function Summary
| `getCheckBitmap()`
| `getCheckData()`
| `getCheckImage()`
| ``getListCtrlSelection`(listctrl, state)` Returns list of item indexes of given state (selected by defaults)
| `getUncheckBitmap()`
| `getUncheckData()`
| `getUncheckImage()`
| ``selectBeforePopup`(event)` Ensures the item the mouse is pointing at is selected before a popup.

Variable Summary
`PyEventBinder` | `EVT_DOPOPUPMENU` = `<wx._core.PyEventBinder object at 0xb4...`
`int` | `SEL_FOC` = 6
`int` | `wxEVT_DOPOPUPMENU` = 10323

Function Details

### getListCtrlSelection(listctrl, state=4)

Returns list of item indexes of given state (selected by defaults)

### selectBeforePopup(event)

Ensures the item the mouse is pointing at is selected before a popup.

Works with both single-select and multi-select lists.

Variable Details

### EVT_DOPOPUPMENU

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb493ec2c>

### SEL_FOC

  Type:
    `int`
  Value:

        6

### wxEVT_DOPOPUPMENU

  Type:
    `int`
  Value:

        10323

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:40 2007 | http://epydoc.sf.net